Returns the server's round trip time in milliseconds

- « MongoDB\Driver\ServerDescription::getPort

- MongoDB\Driver\ServerDescription::getType »

- PHP Manual
- MongoDB\Driver\ServerDescription
- Returns the server's round trip time in milliseconds

# MongoDB\Driver\ServerDescription::getRoundTripTime

(mongodb >=1.13.0)

MongoDB\Driver\ServerDescription::getRoundTripTime — Returns the server's round trip time in milliseconds

### Description

final public MongoDB\Driver\ServerDescription::getRoundTripTime(): ?int

Returns the server's round trip time in milliseconds. This is the client's measurement of the duration of a » hello command.

### Parameters

This function has no parameters.

### Return Values

Returns the server's round trip time in milliseconds.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getLatency() - Returns the latency of this server in milliseconds